= About SecureCI™ =
[[TOC(heading=About SecureCI™,depth=2,AboutSecureCI/*)]]

SecureCI™ is the industry's first and only open-source continuous integration solution. By leveraging best of class 
open source products for source code control, build management, automated testing, security analysis, defect tracking, 
and project management, Coveros is able to provide a turn key solution for those who wish to begin leveraging the 
benefits of continuous integration. 

SecureCI™ provides organizations with an integrated suite of open source tools that assist in the automation of the 
software build, test, and deploy process. By integrating secure code analysis and web security testing technologies, 
SecureCI™ extends continuous integration to incorporate automated security analysis and security testing of 
applications as well. 

== Project Management ==

 * [./ProjectManagement#Trac Trac] -  wiki and bug tracking
<% if ::File.directory?("#{node['agilo']['home']}") %>
 * [./ProjectManagement#Agilo Agilo] - agile and scrum tool
<% end %>
<% if ::File.directory?("#{node['sonar']['home']}") %>
 * [./ProjectManagement#Sonar Sonar] - code quality metrics and dashboard
<% end %>
<% if ::File.directory?("#{node['gitblit']['home']}") %>
 * [./Development#Git GitBlit] - source code repository management
<% end %>

<% if ::File.directory?("#{node['ratproxy']['base_dir']}") || ::File.directory?("#{node['zap']['home']}") || ::File.directory?("#{node['openscap']['home']}") %>
== Security Scanning ==

<% if ::File.directory?("#{node['ratproxy']['base_dir']}") %>
 * [./SecurityScanning#ratproxy ratproxy] - web application security audit <% end %>
<% if ::File.directory?("#{node['zap']['home']}") %>
 * [./SecurityScanning#OWASPZAP OWASP ZAP] - web application security scanner
<% end %>
<% if ::File.directory?("#{node['openscap']['home']}") %>
 * [./SecurityScanning#OpenSCAP OpenSCAP] - vulnerability and security policy scanner
<% end %>

<% end %>


== Development ==

 * [./Development#Subversion Subversion] - source code repository
<% if ::File.directory?("#{node['gitblit']['home']}") %>
 * [./Development#Git Git] - source code repository
<% end %>
<% if ::File.directory?("#{node['jenkins']['home_dir']}") %>
 * [./Development#Jenkins Jenkins] - continuous integration engine
<% end %>
<% if ::File.directory?("#{node['secureci-ant']['home']}") %>
 * [./Development#Ant Apache Ant] - build automation
<% end %>
<% if ::File.directory?("#{node['maven']['m2_home']}") %>
 * [./Development#Maven Apache Maven] - build automation and management
<% end %>
<% if ::File.directory?("#{node['nexus']['home']}") %>
 * [./Development#Nexus Sonatype Nexus] - Maven repository manager
<% end %>

<% if ::File.directory?("#{node['browser']['firefox']['install']}") || ::File.directory?("#{node['browser']['chrome']['install']}") %>
== Browsers ==

<% if ::File.directory?("#{node['browser']['firefox']['install']}") %>
 * [./Browser#Firefox Firefox] - Mozilla webbrowser
<% end %>
<% if ::File.directory?("#{node['browser']['chrome']['install']}") %>
 * [./Browser#Chrome Chrome] - Google webbrowser
 * [./Browser#Chromedriver Chromedriver] - selenium controller for Chrome
<% end %>
 * [./Browser#Xvfb Xvfb] - Display server
<% end %>
== Testing ==

<% node['tools']['testing'].each do |tool| %>
 <% if ::File.directory?("#{node['tools']['base_dir']}/#{tool}-#{node['tools'][tool]['version']}") || ::File.exists?("#{node['tools']['base_dir']}/#{tool}-#{node['tools'][tool]['version']}.jar") %>
 * [./Testing#<%= tool.capitalize %> <%= node['tools'][tool]['name'] %>] - <%= node['tools'][tool]['description']['short'] %>
 <% end %>
<% end %>

== Code analysis ==

<% node['tools']['analysis'].each do |tool| %>
 <% if ::File.directory?("#{node['tools']['base_dir']}/#{tool}-#{node['tools'][tool]['version']}") || ::File.exists?("#{node['tools']['base_dir']}/#{tool}-#{node['tools'][tool]['version']}.jar") %>
 * [./CodeAnalysis#<%= tool.capitalize %> <%= node['tools'][tool]['name'] %>] - <%= node['tools'][tool]['description']['short'] %>
 <% end %>
<% end %><% if ::File.directory?("#{node['yasca']['home']}") %> * [./CodeAnalysis#Yasca Yasca] - static source code analyzer
<% end %>

== Supporting Tools ==

 * [./Support#ApacheHTTPServer Apache HTTP Server] - web server
<% if ::File.directory?("#{node['tomcat']['install_dir']}") %> 
 * [./Support#Tomcat Apache Tomcat] - Java Servlet engine
<% end %>
<% if ::File.directory?("#{node['mysql']['data_dir']}") %>
 * [./Support#MySQL MySQL Server] - database server
<% end %>
 * [./Support#Postfix Postfix] - Mail Server
 * [./Support#Python Python] - Python Development Kit
 * [./Support#Java Sun JDK] - Java Development Kit
 * [./Support#<%= node['platform'].capitalize %> <%= node['platform'].capitalize %>] - Operating system

<%= node['trac']['wiki']['footer'] %>
